Bug 984261 - [abrt] geary-0.3.1-1.fc19: geary_imap_fetch_results_get_body_data: Process /usr/bin/geary was killed by signal 11 (SIGSEGV)
[abrt] geary-0.3.1-1.fc19: geary_imap_fetch_results_get_body_data: Process /u...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: geary (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
abrt_hash:98790e7944957ba11ce84bb8d5e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 04:29 EDT by Peter
Modified: 2015-02-17 11:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:08:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.97 KB, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: core_backtrace (2.02 KB, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: dso_list (18.22 KB, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: environ (1.33 KB, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: maps (87.26 KB, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: open_fds (2.36 KB, text/plain)
2013-07-14 04:29 EDT, Peter
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-07-14 04:30 EDT, Peter
no flags Details
File: var_log_messages (371 bytes, text/plain)
2013-07-14 04:30 EDT, Peter
no flags Details
File: xsession_errors (3.35 KB, text/plain)
2013-07-14 04:30 EDT, Peter
no flags Details

  None (edit)
Description Peter 2013-07-14 04:29:27 EDT
Description of problem:
It happens after i add an email account and it tries to fetch mails from that account.
It probably happens because the server has a bad certificate, other email clients handle that by popping up a window asking if i want to accept the certificate. Geary just fails here..

Here's the log when i run geary from console:

** (geary:9860): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (geary:9860): WARNING **: Can't load fallback CSS resource: Failed to import: Zasób w "/org/gnome/adwaita/gtk-fallback.css" nie istnieje

** (geary:9860): WARNING **: Can't load fallback CSS resource: Failed to import: Zasób w "/org/gnome/adwaita/gtk-fallback.css" nie istnieje
** Message: geary-endpoint.vala:126: SSL TLS warnings connecting to web-soft.com.pl/default:993: 3h (UNKNOWN_CA | BAD_IDENTITY)
** Message: geary-endpoint.vala:126: SSL TLS warnings connecting to web-soft.com.pl/default:465: 3h (UNKNOWN_CA | BAD_IDENTITY)
** Message: geary-endpoint.vala:126: SSL TLS warnings connecting to web-soft.com.pl/default:993: 3h (UNKNOWN_CA | BAD_IDENTITY)
** Message: geary-endpoint.vala:126: SSL TLS warnings connecting to web-soft.com.pl/default:993: 3h (UNKNOWN_CA | BAD_IDENTITY)

** (geary:9860): CRITICAL **: geary_imap_fetch_results_get_body_data: assertion `GEARY_IMAP_IS_FETCH_RESULTS (self)' failed

** (geary:9860): CRITICAL **: gee_list_get: assertion `self != NULL' failed

** (geary:9860): CRITICAL **: geary_rf_c822_preview_text_construct_with_header: assertion `GEARY_MEMORY_IS_ABSTRACT_BUFFER (preview_header)' failed

** (geary:9860): CRITICAL **: geary_email_set_message_preview: assertion `GEARY_RF_C822_IS_PREVIEW_TEXT (preview)' failed

** (geary:9860): CRITICAL **: geary_imap_fetch_results_get_body_data: assertion `GEARY_IMAP_IS_FETCH_RESULTS (self)' failed

** (geary:9860): CRITICAL **: gee_list_get: assertion `self != NULL' failed

** (geary:9860): CRITICAL **: geary_rf_c822_preview_text_construct_with_header: assertion `GEARY_MEMORY_IS_ABSTRACT_BUFFER (preview_header)' failed

** (geary:9860): CRITICAL **: geary_email_set_message_preview: assertion `GEARY_RF_C822_IS_PREVIEW_TEXT (preview)' failed

** (geary:9860): CRITICAL **: geary_imap_fetch_results_get_body_data: assertion `GEARY_IMAP_IS_FETCH_RESULTS (self)' failed

** (geary:9860): CRITICAL **: gee_list_get: assertion `self != NULL' failed

** (geary:9860): CRITICAL **: geary_rf_c822_preview_text_construct_with_header: assertion `GEARY_MEMORY_IS_ABSTRACT_BUFFER (preview_header)' failed

** (geary:9860): CRITICAL **: geary_email_set_message_preview: assertion `GEARY_RF_C822_IS_PREVIEW_TEXT (preview)' failed
Naruszenie ochrony pamięci (core dumped)

Version-Release number of selected component:
geary-0.3.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        geary
crash_function: geary_imap_fetch_results_get_body_data
executable:     /usr/bin/geary
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 geary_imap_fetch_results_get_body_data at /usr/src/debug/geary-0.3.1/src/engine/imap/decoders/imap-fetch-results.vala:106
 #1 geary_imap_mailbox_list_set_async_co at /usr/src/debug/geary-0.3.1/src/engine/imap/transport/imap-mailbox.vala:269
 #2 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #3 geary_nonblocking_batch_execute_all_async_co at /usr/src/debug/geary-0.3.1/src/engine/nonblocking/nonblocking-batch.vala:154
 #4 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #5 geary_nonblocking_abstract_semaphore_real_wait_async_co at /usr/src/debug/geary-0.3.1/src/engine/nonblocking/nonblocking-abstract-semaphore.vala:135
 #6 geary_scheduler_scheduled_instance_on_callback at /usr/src/debug/geary-0.3.1/src/engine/util/util-scheduler.vala:66
 #7 _geary_scheduler_scheduled_instance_on_callback_gsource_func at /usr/src/debug/geary-0.3.1/src/engine/util/util-scheduler.c:192
 #12 gtk_main at gtkmain.c:1156
 #13 yorba_application_run at /usr/src/debug/geary-0.3.1/src/common/common-yorba-application.vala:143

Potential duplicate: bug 914660
Comment 1 Peter 2013-07-14 04:29:32 EDT
Created attachment 773236 [details]
File: backtrace
Comment 2 Peter 2013-07-14 04:29:34 EDT
Created attachment 773237 [details]
File: cgroup
Comment 3 Peter 2013-07-14 04:29:37 EDT
Created attachment 773238 [details]
File: core_backtrace
Comment 4 Peter 2013-07-14 04:29:41 EDT
Created attachment 773239 [details]
File: dso_list
Comment 5 Peter 2013-07-14 04:29:44 EDT
Created attachment 773240 [details]
File: environ
Comment 6 Peter 2013-07-14 04:29:50 EDT
Created attachment 773241 [details]
File: limits
Comment 7 Peter 2013-07-14 04:29:54 EDT
Created attachment 773242 [details]
File: maps
Comment 8 Peter 2013-07-14 04:29:57 EDT
Created attachment 773243 [details]
File: open_fds
Comment 9 Peter 2013-07-14 04:30:03 EDT
Created attachment 773244 [details]
File: proc_pid_status
Comment 10 Peter 2013-07-14 04:30:07 EDT
Created attachment 773245 [details]
File: var_log_messages
Comment 11 Peter 2013-07-14 04:30:10 EDT
Created attachment 773246 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2015-01-09 13:54:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:08:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.